﻿//////////////////////////////////////////////
// BaseKeyHandler.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkInputs
{
	class KeyboardDevice ;
}

/// Includes ---------------------------------

// nkGraphics
#include "../Dll/DllDefines.h"

/// Class ------------------------------------
	
namespace nkGraphics
{
	class DLL_GRAPHICS_EXPORT BaseKeyHandler
	{
		protected :
		
			// Attributs
			// Device
			nkInputs::KeyboardDevice* _keyDevice ;
			// Active counter at creation
			int _counter ;
		
		public :
		
			// Constructeur, destructeur
			BaseKeyHandler () ;
			virtual ~BaseKeyHandler () ;

			// Un update
			virtual void update (unsigned long timeMs) ;

			// Fonction pratique pour remise à zéro
			void refreshDevice () ;
	} ;
}