﻿//////////////////////////////////////////////
// RenderContextDescriptor.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkGraphics
#include "../Dll/DllDefines.h"

/// Class ------------------------------------

namespace nkGraphics
{
	struct DLL_GRAPHICS_EXPORT RenderContextDescriptor final
	{
		// Size in pixels
		unsigned int _width = 1 ;
		unsigned int _height = 1 ;

		// If this is an offscreen context or not
		bool _offscreenContext = false ;
	} ;
}