﻿//////////////////////////////////////////////
// FunctionDefines.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkScripts
#include "FunctionParameter.h"

// Standards
#include <functional>
#include <vector>

/// Class ------------------------------------

namespace nkScripts
{
	// Une fonction de callback de la lib aura cette forme
	using DataStack = std::vector<FunctionParameter> ;
	using OutputValue = FunctionParameter ;
	using FunctionCallback = std::function<OutputValue(const DataStack&)> ;
}