﻿//////////////////////////////////////////////
// ByteAlignedClass.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// Standards
#include <malloc.h>

/// Class ------------------------------------
	
template<size_t alignment> class ByteAlignedClass
{		
	public :
		
		// Constructeur, destructeur
		ByteAlignedClass () {}
		~ByteAlignedClass () {}

		// Surcharges
		static void* operator new (size_t size)
		{
			return _aligned_malloc(size, alignment) ;
		}

		static void* operator new[] (size_t size)
		{
			return _aligned_malloc(size, alignment) ;
		}

		static void operator delete (void* memory)
		{
			_aligned_free(memory) ;
		}

		static void operator delete[] (void* memory)
		{
			_aligned_free(memory) ;
		}
} ;